Summary: Netflix Desktop Metapackage
Name: netflix-desktop
Version: 0.2.2
Release: 1
License: GPL+
Group: Applications/Multimedia
BuildArch: noarch
Requires: cabextract ttmkfdir zenity wine

Source0: %{name}-%{version}.tar.bz2
Source1: netflix-desktop.desktop

URL: https://launchpad.net/~ehoover/+archive/compholio/

%description
Netflix Desktop provides a convient tool that downloads and installs
all of the components necessary to run Netflix Watch Instantly under Wine,
including the Windows version of Mozilla Firefox and Microsoft Silverlight v4.
This package also includes some convience settings to integrate Netflix into
Firefox in such a way that everything feels like a native Ubuntu application.

Neither this package or its author is affliated with, endorsed, provided, or
supported in any way by Netflix, Inc.

Netflix and Netflix Watch Instantly are trademarks of Netflix, Inc.
Mozilla and Mozilla Firefox are trademarks of the Mozilla Corporation.
Microsoft and Microsoft Silverlight are trademarks of the Microsoft Corporation.

%prep
%setup -q

%build

%post

%install
install -d -m 0755 $RPM_BUILD_ROOT/usr/bin
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/applications
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/netflix-desktop/netflix-profile
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications
install -m 0755 usr/bin/netflix-desktop $RPM_BUILD_ROOT/usr/bin
install -m 0755 usr/share/netflix-desktop/install-fonts $RPM_BUILD_ROOT/usr/share/netflix-desktop
install -m 0755 usr/share/netflix-desktop/NetflixIcon.png $RPM_BUILD_ROOT/usr/share/netflix-desktop
install -m 0755 usr/share/netflix-desktop/sha256sums $RPM_BUILD_ROOT/usr/share/netflix-desktop
install -m 0755 usr/share/netflix-desktop/netflix-profile/localstore.rdf $RPM_BUILD_ROOT/usr/share/netflix-desktop/netflix-profile
install -m 0755 usr/share/netflix-desktop/netflix-profile/prefs.js $RPM_BUILD_ROOT/usr/share/netflix-desktop/netflix-profile

%files
%defattr(-, root, root)
/usr/bin/netflix-desktop
/usr/share/applications/netflix-desktop.desktop
/usr/share/netflix-desktop/NetflixIcon.png
/usr/share/netflix-desktop/install-fonts
/usr/share/netflix-desktop/netflix-profile/localstore.rdf
/usr/share/netflix-desktop/netflix-profile/prefs.js
/usr/share/netflix-desktop/sha256sums

%changelog
* Sun Dec 16 2012 Andrew Wyatt <andrew@fuduntu.org> 0.2.2-1
- Additional cleanup
  - Increase user feedback
  - Remove Mozilla Firefox icon from desktop

* Sun Dec 02 2012 Andrew Wyatt <andrew@fuduntu.org> 0.2.1-4
- Port to Fuduntu:
  - Rewrite MS font install
  - Rewrite Silverlight / Firefox Install
  - Support for 32 and 64bit Arch
  - Maximize on first start, not full screen (F11 toggles)
  - Cleaner execution (use $HOME)
